<?xml version="1.0"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
	 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
  
	<parent>
		<groupId>net.rizon</groupId>
		<artifactId>acid</artifactId>
		<version>4.1-SNAPSHOT</version>
	</parent>
  
	<artifactId>acid-acid</artifactId>
	<name>Acid Core</name>

	<properties>
		<netty.version>4.1.5.Final</netty.version>
		<slf4j.version>1.7.21</slf4j.version>
		<logback.version>1.1.7</logback.version>
		<aether.version>1.1.0</aether.version>
		<maven.version>3.1.0</maven.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>javax.mail</groupId>
			<artifactId>javax.mail-api</artifactId>
			<version>1.5.1</version>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.1.8</version>
		</dependency>
		<dependency>
			<groupId>org.yaml</groupId>
			<artifactId>snakeyaml</artifactId>
			<version>1.11</version>
		</dependency>
		<dependency>
			<groupId>com.google.guava</groupId>
			<artifactId>guava</artifactId>
		</dependency>

		<dependency>
			<groupId>io.netty</groupId>
			<artifactId>netty-all</artifactId>
			<version>${netty.version}</version>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-api</artifactId>
			<version>${slf4j.version}</version>
		</dependency>
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-classic</artifactId>
			<version>${logback.version}</version>
		</dependency>
		<dependency>
			<groupId>ch.qos.logback</groupId>
			<artifactId>logback-core</artifactId>
			<version>${logback.version}</version>
		</dependency>

		<dependency>
			<groupId>org.eclipse.aether</groupId>
			<artifactId>aether-api</artifactId>
			<version>${aether.version}</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.aether</groupId>
			<artifactId>aether-impl</artifactId>
			<version>${aether.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.maven</groupId>
			<artifactId>maven-aether-provider</artifactId>
			<version>${maven.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.maven</groupId>
			<artifactId>maven-settings</artifactId>
			<version>${maven.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.maven</groupId>
			<artifactId>maven-settings-builder</artifactId>
			<version>${maven.version}</version>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-all</artifactId>
			<version>1.10.19</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>com.google.code.maven-replacer-plugin</groupId>
				<artifactId>maven-replacer-plugin</artifactId>
				<version>1.4.0</version>
				<executions>
					<execution>
						<phase>generate-sources</phase>
						<goals>
							<goal>replace</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<file>src/main/resources/net/rizon/acid/core/Version.java.template</file>
					<outputFile>src/main/java/net/rizon/acid/core/Version.java</outputFile>
					<replacements>
						<replacement>
							<token>@Git-Tag@</token>
							<value>${mvngit.tag}</value>
						</replacement>
						<replacement>
							<token>@Git-Revision@</token>
							<value>${mvngit.commit.id}</value>
						</replacement>
						<replacement>
							<token>@Git-Revision-Short@</token>
							<value>${mvngit.commit.abbrev}</value>
						</replacement>
						<replacement>
							<token>@Git-Author@</token>
							<value>${mvngit.commit.author.name}</value>
						</replacement>
						<replacement>
							<token>@Git-Author-Email@</token>
							<value>${mvngit.commit.author.email}</value>
						</replacement>
						<replacement>
							<token>@Git-Author-Date@</token>
							<value>${mvngit.commit.author.date}</value>
						</replacement>
						<replacement>
							<token>@Project-Version@</token>
							<value>${project.version}</value>
						</replacement>
					</replacements>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<profiles>
		<profile>
			<activation>
				<os>
					<family>!windows</family>
				</os>
			</activation>
			<build>
				<plugins>
					<plugin>
						<groupId>org.codehaus.mojo</groupId>
						<artifactId>exec-maven-plugin</artifactId>
						<version>1.4.0</version>
						<configuration>
							<arguments>
								<argument>-XX:+HeapDumpOnOutOfMemoryError</argument>
								<argument>-Xmx256M</argument>
								<argument>-classpath</argument>
								<classpath/>
								<argument>net.rizon.acid.core.Acidictive</argument>
							</arguments>
							<workingDirectory>${project.basedir}/..</workingDirectory>
						</configuration>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>

</project>
